Subject: Re: [net] stmmac: fix driver Kconfig when built as module

From: Giuseppe CAVALLARO <[email-masked]>
Date: Mon, 28 May 2012 07:44:40 +0200

On 5/23/2012 8:01 PM, David Miller wrote:
> From: Giuseppe CAVALLARO <[email-masked]>
> Date: Wed, 23 May 2012 08:05:42 +0200
> 
>> This patches fixes the driver when built as dyn module.
>> In fact the platform part cannot be built and the probe fails
>> (thanks to Bob Liu that reported this bug).
>> The patch also makes the selection of Platform and PCI parts
>> mutually exclusive.
>>
>> Reported-by: Bob Liu <[email-masked]>
>> Signed-off-by: Giuseppe Cavallaro <[email-masked]>
>> Reviewed-by: Ben Hutchings <[email-masked]>
> 
> We have drivers which support both OF (which is implemented as
> platform bus) and PCI at the same time.  For example,
> drivers/net/ethernet/sun/niu.c
> 
> I do not see why stmmac cannot support both at the same time as well.
> 
> I absolutely do not want such segregation unless it is absolutely
> necessary.  Because it means that no matter what is choosen, a piece
> of code is disabled and therefore not getting build and/or runtime
> validation.

Ok, I'll review it and resend all the patches asap.

Regards
Peppe

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>